<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-copy.twig */
class __TwigTemplate_59422a71e1cce5d74b922695156962df6a35b374cc42a6a965c3ceeae9504a6a extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-copy.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-copy.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        $context["name"] = $this->getAttribute(($context["displayGroup"] ?? null), "displayGroup", []);
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Copy %name%"), array("%name%" => ($context["name"] ?? null), ));
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        // line 33
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#displayGroupCopyForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayGroupCopyForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayGroup.copy", ["id" => $this->getAttribute(($context["displayGroup"] ?? null), "displayGroupId", [])]), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Display Profile");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, $this->getAttribute(($context["displayGroup"] ?? null), "displayGroup", []), "html", null, true);
        echo " 2";
        $context["name"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        echo $context["forms"]->getinput("displayGroup", ($context["title"] ?? null), ($context["name"] ?? null), ($context["helpText"] ?? null), "", "required");
        echo "

                ";
        // line 46
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The description for this Display Profile");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, $this->getAttribute(($context["displayGroup"] ?? null), "description", []), "html", null, true);
        $context["description"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        echo $context["forms"]->getinput("description", ($context["title"] ?? null), ($context["description"] ?? null), ($context["helpText"] ?? null));
        echo "

                ";
        // line 51
        if (($this->getAttribute(($context["displayGroup"] ?? null), "isDynamic", []) == 0)) {
            // line 52
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Copy Memebers?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 53
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Should we copy all members to the new Display Group?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 54
            echo "                    ";
            echo $context["forms"]->getcheckbox("copyMembers", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
            echo "
                ";
        }
        // line 56
        echo "
                ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Copy Assignments?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should we copy all file and layout assignments to the new Display Group?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                ";
        echo $context["forms"]->getcheckbox("copyAssignments", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "

                ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Copy Tags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should we copy all tags to the new Display Group?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                ";
        echo $context["forms"]->getcheckbox("copyTags", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-copy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  166 => 63,  161 => 62,  157 => 61,  151 => 59,  146 => 58,  142 => 57,  139 => 56,  133 => 54,  128 => 53,  123 => 52,  121 => 51,  115 => 49,  110 => 48,  105 => 47,  101 => 46,  95 => 44,  89 => 43,  84 => 42,  80 => 41,  76 => 40,  72 => 38,  69 => 37,  63 => 34,  58 => 33,  55 => 32,  50 => 29,  47 => 28,  44 => 27,  39 => 24,  37 => 25,  31 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-copy.twig", "/home/mgatv524/public_html/edurocha/views/displaygroup-form-copy.twig");
    }
}
